none
Deploy .Net 3.5 SP1 RRS feed

  • Question

  • My application currently uses BitmapEffect  from WPF 3.0, but new ShaderEffect is added in WPF 3.5SP1;
     
    how do i deploy the new feature in my existing application without redistributing WPF 3.5 meaning keeping Appication's minimum requirement as WPF 3.0, and application uses BitmapEffect when WPF installed in the Client machine is 3.0, otherwise uses ShaderEffect (when client machine has WPF 3.5 SP1.)
    IS it possible to deploy this way? (Since Application referes ShaderEffect property in the code)

    Please shed some light .

    Thanks
    Charles A
    Monday, August 11, 2008 10:53 PM

All replies

  • WPF is part of .NET Framework 3.5. It cannot be installed saperately.

    One should install the complete .NET Framework 3.5 (preferably with Sp1) to use WPF applications.

    Regards,
    Jai
    Tuesday, November 3, 2009 2:09 AM